; *******************************************
; Config pbsvuser.conf
; Americas Army Proving Grounds
; Dernière mis à jour / Last update : 13/11/2014
; Inspiré de / Inspirate by :
;     PBBans.com PBSV Config : http://www.pbbans.com/mci-view-aapg-pbsv-43.html
;     ACI pbsvuser.cfg : http://www.anticheatinc.net/forums/streamhelp.php?gameid=aapg
;
; French Translation by Titou74 for America's Army French Community
; http://www.americasarmy.fr
; *******************************************

; ------------------------------
; Mise à jour punkbuster
; ------------------------------
pb_sv_update

; ------------------------------
; Streaming à ACI
; ------------------------------
pb_sv_logaddr "69.39.237.211"
pb_sv_logport 13750
pb_sv_loguser "AAPGACI"

; ------------------------------
; Configuration générale
; ------------------------------
pb_sv_MsgPrefix "" //[Préfixe des messages du serveur (defaut= )]
pb_sv_MaxDlRate 4 //[Vitesse max de téléchargement des fichiers en KB/sec (defaut=4)]
pb_sv_MaxConDls 6 //[Téléchargement simultanés (defaut=1)]
pb_sv_MaxSendRate 8 //[Vitesse à laquel le serveur PB envoie des mise à jour pbcl et pbag en KB/sec (default=8)]
pb_sv_Sleep 60 //[Valeur en millisecondes (default=60)]
pb_sv_DupNameGrace 5 //[Temps en seconde d'attente avant le kick de joueur ayant le même nom de joueur]
pb_sv_ExtChar 0 //[Autorisation des caractères ASCII dans les nom de joueur - 0=Non, 1=Oui (default=0)]
pb_sv_GuidRelax 2 //[Niveau de l'authentifiction GUID - 1=UNKN, 2=WRONGIP, 4=DUP]
pb_sv_AutoUpdBan 1 //[Mettre a jour automatiquement la liste des joueurs bannis - 0=Non, 1=Oui (defaut=0)]

; ------------------------------
; Configuration supplémentaire
; ------------------------------
pb_sv_Restrictions 1 //[Kick si restriction - 0=Non, 1=Oui, 2=Restriction par macro (defaut=1)]
pb_sv_EmptyName 0 //[Autoriser les joueurs ayant un nom vide - 0=Non, 1=Oui (defaut=0)]
pb_sv_MinName 2 //[Longueur minimum du nom de joueur (defaut=0)]
pb_sv_MaxName 0 //[Longueur maximum du nom de joueur (defaut=0)]
pb_sv_Lan 0 //[Hébergement local - 0=Non, 1=Oui (defaut=0)]
pb_sv_ChangePeriod 600 //[Temps en seconde durant lequel un joueur peut faire de nombre de changement de nom de joueur (configuré dans pb_sv_ChangeMax) - 999=désactivé ]
pb_sv_ChangeMax 5 // [Nombre maximum de changement de nom de joueur durant le temps configuré dans pb_sv_ChangePeriod]  Pour cette config : 5 changements / 5 minutes

; ------------------------------
; Configuration du kick
; ------------------------------
pb_sv_CQC 1 //[Permet d'afficher au joueur kicker la raison du kick - 0=Non, 1=Oui (defaut=1)]
pb_sv_KickLen 5 //[Temps du kick en minutes (defaut=2)]
pb_sv_UpdateGrace 2400 //[Temps d'attente de la mise à jour du PB du client en seconde avant kick]
pb_sv_NoGuidGrace 10 //[Temps d'attente en seconde avant kick automatique d'un joueur sans GUID]

; ------------------------------
; Configuration PBSS
; ------------------------------
pb_sv_AutoSs 1 //[Activation des screenshots - 0=Non, 1=Oui (defaut=0)]
pb_sv_SsFloor 1 //[Longueur minimum du nom du fichier screenshot]
pb_sv_SsCeiling 1000 //[Longueur maximum du nom du fichier screenshot]
pb_sv_AutoSsFrom 200 //[Nombre  de seconde minimum a attendre entre chaque screenshot]
pb_sv_AutoSsTo 400 //[Nombre de seconde maximum a attendre entre chaque screenshot]
pb_sv_SsCmd "" //[Nom du fichier de commande à lancer après les screenshots]
pb_sv_SsWidth 400 //[Largeur des screenshots]
pb_sv_SsHeight 204 //[Hauteur des screenshots]
pb_sv_SsXpct 50 //[Pourcentage (-1 = au hasard)]
pb_sv_SsYpct 50 //[Pourcentage - Percentage down screen for remote screenshots (-1 = au hasard)]
pb_sv_SsSrate 1 //[Taux d'échantillonage des screenshots - 1=tous les pixels, 2=tous les 2 pixels, 4=tous les 4 pixels]
pb_sv_SsDelay 3 //[Délais d'attente maximum du client avant le screenshot]
pb_sv_SsPath "svss" //[Dossier dans lequel les screenshot sont sauvegardés]

; ------------------------------
; Configuration de l'interface WEB
; ------------------------------
pb_sv_HttpPort 7778 //[NUméro de port, par défaut 7778 sur AAPG]
pb_sv_HttpAddr "xxx.xxx.xxx.xxx" //[IP de votre serveur]
pb_sv_HttpKey "mot_de_passe" //[Mot de passe]
pb_sv_HttpRefresh 30 //[Taux de rafraichissement en secondes]
pb_sv_HttpMaps "" //[Liste des maps (séparé par des espaces)]
pb_sv_HttpMapsPath "" //[Path where maps are loaded from in WebTool]
pb_sv_HttpColText1 "FFFFFF" //[Couleur de texte 1 de l'interface WEB (defaut=FFFFFF)]
pb_sv_HttpColText2 "0000FF" //[Couleur de texte 2 de l'interface WEB (default=0000FF)]
pb_sv_HttpColBack1 "000000" //[Couleur de fond 1 de l'interface WEB (default=000000)]
pb_sv_HttpColBack2 "808080" //[Couleur de fond 2 de l'interface WEB(default=808080)]
pb_sv_HttpColLine1 "FF0000" //[Couleur de ligne 1 de l'interface WEB (default=FF0000)]
pb_sv_HttpColLine2 "0000FF" //[Couleur de ligne 2 de l'interface WEB (default=0000FF)]
pb_sv_HttpColMsg "FF0000" //[Couleur des messages de l'interface WEB (default=FF0000)]
pb_sv_HttpShowGuid 1 //[Afficher les GUID - 0=Non, 1=Oui (default=0)]

; ------------------------------
; Configuration du système de vérification des sommes MD5 des fichiers
; ------------------------------
pb_sv_md5toolfreq 20 //[Réduire ce nombre va augmenter la fréquence des scan et peut causer les lags et augmente également la chance de se faire kicker pour avoir ignorer des ordres de scan MD5]

; ------------------------------
; Taches PunkBuster
; Format = pb_sv_task [délai de démarrage (en secondes)] [délai de répétition (secondes)] [commande])
; ------------------------------
pb_sv_task 0 7200 pb_sv_ver //[Indique du services PBBans que le serveur est actif]
pb_sv_task 0 86400 pb_sv_update //[Vérification des mise à jour Punkbuster]

; Messages
pb_sv_task 0 480 say Welcome on this server !
pb_sv_task 5 480 say Scripts update 13/11/2014
pb_sv_task 10 480 say By AAPG French Community
; Cette configuration des messages dira toutes les 480 secondes "Welcome on this server !" - Attente 5 secondes - "Scripts update 13/11/2014" - Attente 5 secondes - "By AAPG French Community"

; ------------------------------
; Interdiction de nom de joueur
; Format = pb_sv_badname [Temps d'attente avant kick en secondes] [Nom de joueur interdit]
; ------------------------------
pb_sv_badnameempty //[Vidage de la liste des noms interdits chargés]
pb_sv_badname 10 abcdefgh //[Interdiction de "abcdefgh" kicker au bout de 10 secondes]
;pb_sv_badname 10 coucou //[Exemple]

; ------------------------------
; Protection des Tags
; ------------------------------
pb_sv_protecttag 1 PBSTAFF
pb_sv_protecttag 1 PBBans
;pb_sv_load protecttag.cfg //[Chargement d'un éventuelle fichier de protection de tags "protecttag.cfg" - Mis en place par ACI]

; ------------------------------
; Chargement de la Ban List
; ------------------------------
pb_sv_banempty //[Vidage de la liste de bannis chargé]
pb_sv_banload //[Chargement de la liste des bannis depuis le fichier par défaut]

; ------------------------------
; Configuration PB UCON
; ------------------------------
pb_sv_writecfg pbucon.use //[On crée le fichier pbucon.use si il n'est pas présent]
pb_sv_usessionlimit 10
pb_sv_uconempty //[On vide les PB UCON chargés]
pb_sv_uconadd 1 69.65.22.152 "pbbhub2-1" "pbbanshub"
pb_sv_uconadd 1 69.65.22.153 "pbbhub2-2" "pbbanshub"
pb_sv_uconadd 1 69.65.22.154 "pbbhub2-3" "pbbanshub"

; ------------------------------
; Liste des PB UCON ignorés (Empêche les utilisateurs UCON d'envoyer certaines commandes)
; ------------------------------
pb_sv_uconignoreempty
pb_sv_uconignore quit
pb_sv_uconignore pb_sv_md5toolfreq
pb_sv_uconignore pb_sv_guidrelax

; ------------------------------
; Execution de fichier de configuration supplémentaire
; ------------------------------
; pb_sv_load pbsvgame.cfg
; pb_sv_load pbsvlog.cfg